Bug 261220 - databases/cassandra3: Update to 3.11.11
Summary: databases/cassandra3: Update to 3.11.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mikael Urankar
URL: https://gitbox.apache.org/repos/asf?p...
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-15 10:28 UTC by Angelo Polo
Modified: 2022-05-01 16:39 UTC (History)
4 users (show)

See Also:


Attachments
Update to version 3.11.11 (26.14 KB, patch)
2022-01-15 10:28 UTC, Angelo Polo
language.devel: maintainer-approval+
Details | Diff
Remove duplication in patch files (4.08 KB, patch)
2022-01-21 14:19 UTC, Angelo Polo
language.devel: maintainer-approval+
Details | Diff
Fix dependency resolution (6.16 KB, patch)
2022-02-08 13:58 UTC, Angelo Polo
language.devel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Polo 2022-01-15 10:28:50 UTC
Created attachment 231019 [details]
Update to version 3.11.11

Update to version 3.11.11.
Python3 support for CQLSH COPY.

SVN patch attached.

svn rm files/patch-doc_source___templates_indexcontent.html
svn rm files/patch-doc_source___util_cql.py
svn add files/patch-.build_build-resolver.xml
svn add files/patch-pylib_requirements.txt

Updated maven repo must be manually copied to distfiles for patch testing and uploaded to LOCAL as part of the commit process. It is available at the following link:
https://drive.google.com/file/d/1JywrEUXG6srFm2S44BzCYRcpefyYufHt
Comment 1 Neel Chauhan freebsd_committer 2022-01-18 19:58:55 UTC
While I will still commit this (since I've done Cassandra Ports updates before), there's one thing to keep in mind: FreeBSD now uses git. You shouldn't use svn patches.
Comment 2 Neel Chauhan freebsd_committer 2022-01-18 20:00:58 UTC
Committed!
Comment 3 commit-hook freebsd_committer 2022-01-18 20:01:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=70cc8bbf89e0cd3b4f025ce4a631836aefc73d43

commit 70cc8bbf89e0cd3b4f025ce4a631836aefc73d43
Author:     Angelo Polo <language.devel@gmail.com>
AuthorDate: 2022-01-18 19:59:29 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2022-01-18 20:01:00 +0000

    databases/cassandra3: Update to 3.11.11

    PR:     261220

 databases/cassandra3/Makefile                      |  11 ++-
 databases/cassandra3/distinfo                      |  10 +-
 .../files/patch-.build_build-resolver.xml (new)    |  54 ++++++++++
 databases/cassandra3/files/patch-build.xml         | 109 ++-------------------
 .../cassandra3/files/patch-conf_cassandra.yaml     |  12 +--
 ...doc_source___templates_indexcontent.html (gone) |  17 ----
 .../files/patch-doc_source___util_cql.py (gone)    |  10 --
 .../files/patch-pylib_cassandra-cqlsh-tests.sh     |  37 ++++---
 .../files/patch-pylib_requirements.txt (new)       |  32 ++++++
 ...org_apache_cassandra_tools_nodetool_Status.java |   4 +-
 databases/cassandra3/pkg-plist                     |  64 ++----------
 11 files changed, 149 insertions(+), 211 deletions(-)
Comment 4 Angelo Polo 2022-01-18 20:08:50 UTC
(In reply to Neel Chauhan from comment #1)

Thanks! I'll switch to the git workflow for the next one.
Comment 5 Angelo Polo 2022-01-21 14:19:47 UTC
Created attachment 231213 [details]
Remove duplication in patch files

The two added files somehow ended up duplicated (identical patch content back-to-back) in the commit and the port is now failing to build on the package server. Attached is a fix.
Comment 6 Angelo Polo 2022-01-21 14:20:22 UTC
Reopening due to errors in added patch files.
Comment 7 Lapo Luchini 2022-02-02 19:15:58 UTC
Compiles and works for me; thanks!
Comment 8 commit-hook freebsd_committer 2022-02-02 19:38:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7155c2ef89d93cc0c14a24fd3add11c90922155a

commit 7155c2ef89d93cc0c14a24fd3add11c90922155a
Author:     Angelo Polo <language.devel@gmail.com>
AuthorDate: 2022-01-21 15:12:53 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2022-02-02 19:37:26 +0000

    databases/cassandra3: Remove code duplication in patches

    PR:     261220

 .../files/patch-.build_build-resolver.xml          | 27 ----------------------
 .../cassandra3/files/patch-pylib_requirements.txt  | 16 -------------
 2 files changed, 43 deletions(-)
Comment 9 Neel Chauhan freebsd_committer 2022-02-02 19:38:36 UTC
Committed the patch! Sorry for the delay.
Comment 10 Angelo Polo 2022-02-08 13:58:29 UTC
Created attachment 231642 [details]
Fix dependency resolution

Depends on new repository archive:
https://drive.google.com/file/d/1EDkssVKq43tjwWLYzaFdytXdukoo4AQE
Comment 11 Angelo Polo 2022-02-08 14:00:22 UTC
Fixed late resolution of dependencies. Was failing on pkg servers. Tested in poudriere! (Hopefully the last issue with this one...)
Comment 12 Neel Chauhan freebsd_committer 2022-02-17 19:43:58 UTC
Sorry for the delay, but committed!
Comment 13 commit-hook freebsd_committer 2022-02-17 19:44:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5ebca6fa41190415bf3332a7bd0df4dc09b8c0e6

commit 5ebca6fa41190415bf3332a7bd0df4dc09b8c0e6
Author:     Angelo Polo <language.devel@gmail.com>
AuthorDate: 2022-02-17 19:43:06 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2022-02-17 19:43:06 +0000

    databases/cassandra3: Fix dependency resolution

    PR:     261220

 databases/cassandra3/Makefile | 1 +
 databases/cassandra3/distinfo | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)
Comment 14 Angelo Polo 2022-02-21 09:12:59 UTC
Sorry to 'bug' you, but there was a patch attachment that went with the repo update: attachment #231642 [details]. See comment #10.
Comment 15 Ronald Klop 2022-03-06 17:14:39 UTC
Cassandra3 fails on a build dependency on git.
Is that a new PR of fallout from this issue?

http://beefy18.nyi.freebsd.org/data/main-amd64-default/p9444bfea1e41_s075e2779ac/logs/errors/cassandra3-3.11.11_1.log

Same error on arm64.

Copy snippet from the link:
generate-jflex-java:
    [jflex] Generated: StandardTokenizerImpl.java

_rat_init:

_build_ratinclude:
     [exec] Execute failed: java.io.IOException: Cannot run program "git" (in directory "/wrkdirs/usr/ports/databases/cassandra3/work/cassandra-84496b0"): error=2, No such file or directory

BUILD FAILED
/wrkdirs/usr/ports/databases/cassandra3/work/cassandra-84496b0/.build/build-rat.xml:38: Warning: Could not find file /wrkdirs/usr/ports/databases/cassandra3/work/cassandra-84496b0/build/.versioned_files to copy.

Total time: 5 seconds
*** Error code 1
Comment 16 Angelo Polo 2022-03-06 17:18:46 UTC
It's fallout from this. Needs the latest patch here to be applied.
Comment 17 commit-hook freebsd_committer 2022-04-20 15:03:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=81ab4a37d966e58420baa0b6df712a2a3dbdbdce

commit 81ab4a37d966e58420baa0b6df712a2a3dbdbdce
Author:     Angelo Polo <language.devel@gmail.com>
AuthorDate: 2022-04-20 14:59:38 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2022-04-20 15:02:37 +0000

    databases/cassandra3: Fix build

    Add missing patches.

    PR:             261220

 databases/cassandra3/Makefile                      |  2 +-
 databases/cassandra3/distinfo                      |  6 ++---
 .../files/patch-.build_build-resolver.xml (gone)   | 27 ----------------------
 databases/cassandra3/files/patch-build.xml         | 11 ++++++++-
 databases/cassandra3/pkg-plist                     |  1 +
 5 files changed, 15 insertions(+), 32 deletions(-)
Comment 18 Mikael Urankar freebsd_committer 2022-04-20 15:11:56 UTC
Thanks!
Comment 19 Angelo Polo 2022-04-28 16:23:36 UTC
Thanks for committing this Mikael.

Unfortunately I'm getting reports that the quarterly build is still failing, and it looks like the reason is that it's still pulling the previous GH tag.

Excerpt from the failure report - note the old GH hash '84496b0':
===>  Building for cassandra3-3.11.11_1
Buildfile: /wrkdirs/usr/ports/databases/cassandra3/work/cassandra-84496b0/build.xml

When I build from trunk everything works fine - note the current GH hash '0150ddc':
===>  Building for cassandra3-3.11.11
Buildfile: /wrkdirs/usr/ports/databases/cassandra3/work/cassandra-0150ddc/build.xml

https://cgit.freebsd.org/ports/tree/databases/cassandra3/Makefile?id=81ab4a37d966e58420baa0b6df712a2a3dbdbdce#n31

Is it just a matter of waiting until whatever branch the quarterly builds are made from receive a merge from trunk or could there be some other issue that needs attention?
Comment 20 Angelo Polo 2022-05-01 13:30:55 UTC
I think that's it. Assuming the package build server is reading from branch 2022Q2, it isn't seeing the latest commit.

https://cgit.freebsd.org/ports/tree/databases/cassandra3/Makefile?h=2022Q2
31:  GH_TAGNAME=	84496b0

https://cgit.freebsd.org/ports/tree/databases/cassandra3/Makefile
31:  GH_TAGNAME=	0150ddc

So I'll ignore the build failure messages until there's a merge.
Comment 21 commit-hook freebsd_committer 2022-05-01 16:39:01 UTC
A commit in branch 2022Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a9bb17ab130555fa248a66ed0c7872d4b01fdf62

commit a9bb17ab130555fa248a66ed0c7872d4b01fdf62
Author:     Angelo Polo <language.devel@gmail.com>
AuthorDate: 2022-04-20 14:59:38 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2022-05-01 16:06:19 +0000

    databases/cassandra3: Fix build

    Add missing patches.

    PR:             261220
    (cherry picked from commit 81ab4a37d966e58420baa0b6df712a2a3dbdbdce)

 databases/cassandra3/Makefile                      |  2 +-
 databases/cassandra3/distinfo                      |  6 ++---
 .../files/patch-.build_build-resolver.xml (gone)   | 27 ----------------------
 databases/cassandra3/files/patch-build.xml         | 11 ++++++++-
 databases/cassandra3/pkg-plist                     |  1 +
 5 files changed, 15 insertions(+), 32 deletions(-)